package com.kfzs.android.view.widget;

import android.content.Context;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.widget.LinearLayout;

/**
 * 消费空白地方的点击事件，防止下层叠加的view响应到点击
 * Created by realicing on 2018/8/31.
 * realicing@sina.com
 */
public class TouchEventConsumerLayout extends LinearLayout {

    public TouchEventConsumerLayout(Context context, AttributeSet attrs,
                                    int defStyle) {
        super(context, attrs, defStyle);
    }

    public TouchEventConsumerLayout(Context context, AttributeSet attrs) {
        super(context, attrs);
    }

    public TouchEventConsumerLayout(Context context) {
        super(context);
    }

    @Override
    public boolean onTouchEvent(MotionEvent event) {
        return true;
    }

}